lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Upgrading from lucene 2.9.1 to 5.X
Date Fri, 17 Jul 2015 03:41:29 GMT
You have two real choices here:
1> reindex your corpus under 5x
2> follow a tortuous upgrade path. Solr/Lucene only promise to
be backwards compatible through one major version. Thus
Lucene 3x can read Lucene 2x. But Lucene 4x cannot read
read Lucene 2x.

So you'd have to go 2x->3x->4x->5x with chances for mis-steps
all along the way.

Best,
Erick

On Thu, Jul 16, 2015 at 8:27 PM, Shah, Amish <amish.shah@intel.com> wrote:
> No,  the file format is not compatible. I think it changed in 4.0.
>
> Amish
>
> On 7/16/15, 6:45 PM, "Shuangyang Yang" <syang@linkedin.com.INVALID> wrote:
>
>>Hi there,
>>
>>We are using lucene 2.9.1 in our product and thinking of upgrading to
>>5.X. Is it plausible? Is the file format compatible? Is there any guide
>>document that can give tips on how to do it?
>>
>>Thank you very much
>>Best Regards
>>---
>>Shuangyang Yang
>>linkedin.com/in/everyoung<www.linkedin.com/in/everyoung>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-user-help@lucene.apache.org
>

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message